package com.fs.qw.mapper;

import com.alibaba.fastjson.JSONObject;
import com.fs.qw.domain.QwDrainageLink;

import java.util.List;
import java.util.Map;

/**
 * 引流链接Mapper接口
 * 
 * @author fs
 * @date 2024-07-11
 */
public interface QwDrainageLinkMapper 
{
    /**
     * 查询引流链接
     * 
     * @param id 引流链接主键
     * @return 引流链接
     */
    public QwDrainageLink selectQwDrainageLinkById(Long id);

    /**
     * 查询引流链接列表
     * 
     * @param qwDrainageLink 引流链接
     * @return 引流链接集合
     */
    public List<QwDrainageLink> selectQwDrainageLinkList(QwDrainageLink qwDrainageLink);

    /**
     * 新增引流链接
     * 
     * @param qwDrainageLink 引流链接
     * @return 结果
     */
    public int insertQwDrainageLink(QwDrainageLink qwDrainageLink);

    /**
     * 修改引流链接
     * 
     * @param qwDrainageLink 引流链接
     * @return 结果
     */
    public int updateQwDrainageLink(QwDrainageLink qwDrainageLink);

    /**
     * 删除引流链接
     * 
     * @param id 引流链接主键
     * @return 结果
     */
    public int deleteQwDrainageLinkById(Long id);

    /**
     * 批量删除引流链接
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwDrainageLinkByIds(Long[] ids);

    List<JSONObject> selectQwDrainageLinkStatisticsCounts(Map<String, Object> map);
}
